## org.h2.upgrade
Class DbUpgrade

    java.lang.Object
      org.h2.upgrade.DbUpgrade

    public class DbUpgrade

extends java.lang.Object

This class starts the conversion from older database versions to the current version if the respective classes are found.

Constructor Summary
`DbUpgrade()`

Method Summary
`static boolean` `areV1dot1ClassesPresent()` Check if the H2 version 1.1 driver is in in the classpath.
`static java.sql.Connection` `connectWithOldVersion(java.lang.String url, java.util.Properties info)` Connects to an old 1.1 database
`static void` `upgrade(java.lang.String url, java.util.Properties info)` Starts the conversion if the respective classes are found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbUpgrade

    public DbUpgrade()

Method Detail

### areV1dot1ClassesPresent

    public static boolean areV1dot1ClassesPresent()

  Check if the H2 version 1.1 driver is in in the classpath.

  Returns:
    true if it is

### connectWithOldVersion

    public static java.sql.Connection connectWithOldVersion(java.lang.String url,
                                                            java.util.Properties info)
                                                     throws java.sql.SQLException

  Connects to an old 1.1 database

  Parameters:
    `url` - The connection string
    `info` - The connection properties
  Returns:
    the connection via the upgrade classes
  Throws:
    `java.sql.SQLException`

### upgrade

    public static void upgrade(java.lang.String url,
                               java.util.Properties info)
                        throws java.sql.SQLException

  Starts the conversion if the respective classes are found. Is automatically called on connect.

  Parameters:
    `url` - The connection string
    `info` - The connection properties
  Throws:
    `java.sql.SQLException`